Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class ViewCriteriaRow

    java.lang.Object
      |
      +--oracle.jbo.ViewCriteriaRow

public class ViewCriteriaRow
extends java.lang.Object
implements AttributeList

An array containing criteria for the individual attributes of a View Object's WHERE clause.

For an example of a program that uses `ViewCriteriaRow` methods, see `ViewCriteria`.

Since:
  JDeveloper 3.0

Constructor Summary
`ViewCriteriaRow(ViewCriteria viewCriteria, java.lang.Object[] data)` Creates a new view criteria row.

Method Summary
`java.lang.Object` | `getAttribute(int index)` Gets the criterion for a given attribute.
`java.lang.Object` | `getAttribute(java.lang.String name)` Gets the criterion for a given attribute.
`int` | `getAttributeCount()` Counts the attribute criteria in the row.
`int` | `getAttributeIndexOf(java.lang.String name)` Gets the attribute index associated with a given attribute name.
`boolean` | `isUpperColumns()` Returns the upper-columns flag for this `ViewCriteriaRow`.
`void` | `setAttribute(int index, java.lang.Object value)` Sets the criterion for a given attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets the criterion for a given attribute.
`void` | `setUpperColumns(boolean isUpper)` Sets the upper-columns flag for this `ViewCriteriaRow`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewCriteriaRow

    public ViewCriteriaRow(ViewCriteria viewCriteria,
                           java.lang.Object[] data)

  Creates a new view criteria row.
  Parameters:
    `viewCriteria` - the `ViewCriteria` that is to contain the `ViewCriteriaRow`
    `data` - an array of attribute criteria to be initially assigned to this `ViewCriteriaRow`.

Method Detail

### isUpperColumns

    public boolean isUpperColumns()

  Returns the upper-columns flag for this `ViewCriteriaRow`. If this flag is `true`, UPPER SQL operator will be applied to all CHAR/VARCHAR columns when the SQL WHERE clause is generated.

  The default is `false`.

  Parameters:
    `isSensitive` - flag indicating whether to apply UPPER to columns

### setUpperColumns

    public void setUpperColumns(boolean isUpper)

  Sets the upper-columns flag for this `ViewCriteriaRow`. If this flag is `true`, UPPER SQL operator will be applied to all CHAR/VARCHAR columns when the SQL WHERE clause is generated.
  Parameters:
    `isUpper` - a new flag value for upper'ing columns.

### getAttribute

    public java.lang.Object getAttribute(int index)

  Gets the criterion for a given attribute.

  Specified by:
    getAttribute in interface AttributeList
  Parameters:
    `index` - the attribute's index.
  Returns:
    the attribute's criterion.

### getAttribute

    public final java.lang.Object getAttribute(java.lang.String name)

  Gets the criterion for a given attribute.
  Specified by:
    getAttribute in interface AttributeList
  Parameters:
    `name` - the attribute's name.
  Returns:
    the attribute's criterion.

### setAttribute

    public void setAttribute(int index,
                             java.lang.Object value)

  Sets the criterion for a given attribute.
  Specified by:
    setAttribute in interface AttributeList
  Parameters:
    `name` - the attribute's index.
    `value` - a new criterion for the attribute.

### setAttribute

    public final void setAttribute(java.lang.String name,
                                   java.lang.Object value)

  Sets the criterion for a given attribute.
  Specified by:
    setAttribute in interface AttributeList
  Parameters:
    `name` - the attribute's name.
    `value` - a new criterion for the attribute.

### getAttributeCount

    public int getAttributeCount()

  Counts the attribute criteria in the row.
  Specified by:
    getAttributeCount in interface AttributeList
  Returns:
    the number of criteria.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Gets the attribute index associated with a given attribute name.
  Specified by:
    getAttributeIndexOf in interface AttributeList
  Parameters:
    `name` - the attribute name.
  Returns:
    the attribute index. Attribute indices start from 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD